package com.gx.obe.management.Lisener;

import java.util.Date;
import java.util.List;

import org.eclipse.swt.widgets.Composite;

import com.gx.obe.web.entity.expert.Expert;

public interface MeetingRoomListener {
	
	/**
	 * @Description: 获取加载容器
	 * @author guoyr
	 * @return 
	 */
	public abstract Composite getLoadParent();

	public abstract Composite getOperatorParent();
	
	public abstract void clearOperator();
	
	public abstract void refreshOperator();
	
//	public void setOperatorRegion(Region region);
	
	/**
	 * @Description: 刷新会议室标题
	 * @author guoyr
	 * @param meetingTitle 
	 */
	public void refreshMeetingTitle(String meetingTitle);
	
	/**
	 * @Description: 刷新会议时间
	 * @author guoyr
	 * @param meetingTimeTitle
	 * @param meetingTime 
	 */
	public void refreshMeetingTime(String meetingTimeTitle, Date meetingTime);
	
	/**
	 * @Description: 刷新倒计时
	 * @author guoyr
	 * @param countDownTimeTitle
	 * @param countDownTime 
	 */
	public void refreshCountDownTime(String countDownTimeTitle, Date countDownTime);
	
	/**
	 * @Description: 刷新有人的座位
	 * @author guoyr 
	 */
	public void refreshPeopleCount(int peopleCount);
	
	/**
	 * @Description: 刷新座位
	 * @author guoyr
	 * @param chairsCount
	 * @param leftManagerName 左边管理人员
	 * @param leftManagerIsFemale 左边管理人员是否女性
	 * @param rightManagerIsFemale 右边管理人员是否女性
	 */
	public void refreshChairsCount(int chairsCount, String leftManagerName, boolean leftManagerIsFemale, boolean rightManagerIsFemale);
	
	/**
	 * @Description: 刷新专家
	 * @author guoyr
	 * @param expertList 
	 */
	public void refreshExpert(List<Expert> expertList);
	
	/**
	 * @Description: 退出会议室
	 * @author guoyr 
	 */
	public void exitMeetingRoom();
}
